.town-info{
    display: flex;
    flex-wrap: wrap;
}
.town-info div{
    width:50%;
}
.links-section{
    padding-left: 20px;
}
.frame-wrapper{
    position: relative;
    padding-bottom: 25%;
}
.frame-wrapper iframe{
    position: absolute;
    left:0;
    top:0;
    width:100%;
    height: 100%;
    display: block;
}

@media(max-width: 640px){
    .main-header{
        margin-bottom: 40px;
    }
    .town-info div{
        width:100%;
        margin-bottom: 30px;
    }
    .frame-wrapper{
        position: relative;
        padding-bottom: 50%;
    }
    .town-info .links-section{
        padding-left: 0;
        margin-bottom: 0;
    }
}